API referenceWebhook endpoints
Update a webhook endpoint
Send only the fields you want to change. Re-enabling an endpoint that was switched off automatically also clears its failure count.
Authorization
bearerAuth AuthorizationBearer <token>
An API key from Settings → Integrations → API & Webhook.
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/webhook-endpoints/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "ok": true, "data": { "id": "string", "url": "string", "events": [ "document.sent" ], "enabled": true, "description": "string", "createdAt": "string" }}